package com.bonus.sgzb.base.mapper;

import com.bonus.sgzb.base.api.domain.SysDic;

import java.util.List;


/**
 * 数据字典Mapper接口
 *
 * @author bonus
 * @date 2023-12-11
 */
public interface SysDicMapper
{
    /**
     * 查询数据字典
     *
     * @param id 数据字典主键
     * @return 数据字典
     */
    public SysDic selectSysDicById(Long id);

    /**
     * 查询数据字典列表
     *
     * @param sysDic 数据字典
     * @return 数据字典集合
     */
    public List<SysDic> selectSysDicList(SysDic sysDic);

    /**
     * 新增数据字典
     *
     * @param sysDic 数据字典
     * @return 结果
     */
    public int insertSysDic(SysDic sysDic);

    /**
     * 修改数据字典
     *
     * @param sysDic 数据字典
     * @return 结果
     */
    public int updateSysDic(SysDic sysDic);

    /**
     * 删除数据字典
     *
     * @param id 数据字典主键
     * @return 结果
     */
    public int deleteSysDicById(Long id);

    /**
     * 批量删除数据字典
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysDicByIds(Long[] ids);
}
